Summary: A signing server and related software client
Name: rpmsigner
Version: 0.90
Release: 0.mitr.1
License: GPLv2
Group: Applications/Internet
# FIXME: URL:
Source0: rpmsigner-%{version}.tar.bz2
Source1: rpmsigner_bridge.init
Source2: rpmsigner_server.init
Source3: rpmsigner.logrotate
Requires: logrotate pexpect pygpgme python python-fedora python-nss
Requires: python-sqlalchemy python-urlgrabber
# For rpmsigner_setup_client
Requires: coreutils nss-tools
Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig, initscripts
Requires(postun): initscripts
BuildRequires: python
# To detect the path correctly in configure
BuildRequires: gnupg
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
A signing server, which lets authorized users sign data without having any
access to the necessary private key, a client for the server, and a "bridge"
that connects the two.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' install
mkdir -p $RPM_BUILD_ROOT%{_initrddir} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/rpmsigner_bridge
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/rpmsigner_server
install -m 0644 -p %{SOURCE3} \
        $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/rpmsigner

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group rpmsigner >/dev/null || groupadd -r rpmsigner
getent passwd rpmsigner >/dev/null || \
useradd -r -g rpmsigner -d %{_localstatedir}/lib/rpmsigner -s /sbin/nologin \
        -c "Signing server or bridge" rpmsigner
exit 0

%post
/sbin/chkconfig --add rpmsigner_bridge
/sbin/chkconfig --add rpmsigner_server

%preun
if [ "$1" = 0 ]; then
   /sbin/service rpmsigner_bridge stop >/dev/null 2>&1
   /sbin/service rpmsigner_server stop >/dev/null 2>&1
   /sbin/chkconfig --del rpmsigner_bridge
   /sbin/chkconfig --del rpmsigner_server
fi

%postun
if [ "$1" -ge 1 ]; then
   /sbin/service rpmsigner_bridge condrestart >/dev/null 2>&1 || :
   /sbin/service rpmsigner_server condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_sysconfdir}/rpmsigner
%config(noreplace) %{_sysconfdir}/rpmsigner/client.conf
%config(noreplace) %attr(640,root,rpmsigner) %{_sysconfdir}/rpmsigner/bridge.conf
%config(noreplace) %attr(640,root,rpmsigner) %{_sysconfdir}/rpmsigner/server.conf
%{_initrddir}/rpmsigner*
%config(noreplace) %{_sysconfdir}/logrotate.d/rpmsigner
%{_bindir}/rpmsigner*
%{_sbindir}/rpmsigner*
%{_mandir}/man1/rpmsigner*.1*
%{_mandir}/man8/rpmsigner*.8*
%{_datadir}/rpmsigner
%dir %attr(700,rpmsigner,rpmsigner) %{_localstatedir}/lib/rpmsigner
%dir %attr(700,rpmsigner,rpmsigner) %{_localstatedir}/lib/rpmsigner/gnupg

%changelog
* Sun Nov 30 2008 Miloslav Trmač <mitr@redhat.com> - 0.90-0.mitr.1
- Initial package.
